| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::ParseResults Class Reference

## Public Types
typedef QPair< int, int > | ResultsKey
typedef QMultiMap< ResultsKey, ResultsValue > | ResultsMap
typedef QPair< QString, QString > | ResultsValue

## Public Member Functions
void | addEntry (const ResultsKey &key, const ResultsValue &value)
void | append (const ParseResults &results)
void | clear ()
void | debug () const
void | deleteEntry (const ResultsKey &key)
bool | hasKey (const ResultsKey &key)
bool | hasKeyAtApproximatePosition (int pos) const
bool | hasKeyAtPosition (int pos) const
bool | isEmpty () const
ResultsKey | keyAtApproximatePosition (int pos) const
ResultsKey | keyAtPosition (int pos) const
QList< ResultsKey > | keys () const
int | offset (const ResultsKey &key) const
QString | replaceTokens (const QString &markedString) const
QString | result (const ResultsKey &key) const
QString | resultValuesAsString () const
QString | token (const ResultsKey &key) const
QList< ResultsValue > | values () const